#ifndef GLOBAL_H
#define GLOBAL_H

#include <nokix/all.h>
#include "gran_vals\gran_vals.h"

/*
** global.h
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2.1 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

typedef unsigned int bool_t;  // size-effective replacement for bool

struct data
{
 struct own_anim_frame *f;
 UBYTE cur;
 BOOL restart;
};

struct welcome
{
 struct own_anim_frame *anim;
 WORD left;
 WORD top;
};

#define OMSG_NEXT_FRAME (0x1f00)

#define CONFID_NONE		(0x100)

extern struct welcome anims[];

extern struct data *data;

void freegfx_draw(void);

#endif /* GLOBAL_H */

