/*****************************************************************************************
 *
 * gran_vals.h
 * Copyright (c) 2010 NuukiaWorld
 *
 *  This file is part of "Gran vals".
 *
 *  "Gran vals" is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  "Gran vals" is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with "Gran vals".  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version    Date          Author             Log
 *  --------------------------------------------------------------------------------------
 *  1.0        12.02.2010    NuukiaWorld        Initial Release
 *
 ****************************************************************************************/

.global play_gran_vals
.global stop_gran_vals

@ Starts playing the special Gran vals tone as warning tone with maximum volume
play_gran_vals:
push {lr}
ldr  r0,_warning_volume
mov  r1,#0x02
strb r1,[r0]
strb r1,[r0,#1]
ldr  r0,_tone_gran_vals
mov  r1,#0
bl	  own_play_tone
pop  {pc}

@ Restores the warning tone volume setting and stops the current tone if any
stop_gran_vals:
push {lr}
mov  r0,#0
mov  r1,#3
bl	  own_play_tone
ldr  r0,_warning_volume
mov  r1,#0x04
strb r1,[r0]
strb r1,[r0,#1]
pop  {pc}

.align

_warning_volume:
.long warning_volume

_tone_gran_vals:
.long tone_gran_vals
